Bug 1479456 - bodhi-manage-releases needs bodhi-client, but bodhi-server doesn't require bodhi-client
Summary: bodhi-manage-releases needs bodhi-client, but bodhi-server doesn't require bo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bodhi
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-08 15:04 UTC by Randy Barlow
Modified: 2017-09-02 20:48 UTC (History)
3 users (show)

Fixed In Version: bodhi-2.9.0-4.fc27 bodhi-2.9.0-4.fc26 bodhi-2.9.1-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-02 20:48:50 UTC


Attachments (Terms of Use)

Description Randy Barlow 2017-08-08 15:04:08 UTC
Due to this, running bodhi-manage-releases results in a traceback:

  File "/bin/bodhi-manage-releases", line 9, in <module>
    load_entry_point('bodhi-server==2.9.0', 'console_scripts', 'bodhi-manage-releases')()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 542, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2575, in load_entry_point
    return ep.load()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2235, in load
    return self.resolve()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2241, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/lib/python2.7/site-packages/bodhi/server/scripts/manage_releases.py", line 35, in <module>
    from bodhi.client import bindings
ImportError: No module named client


Users can work around this by installing bodhi-client.

Comment 1 Fedora Update System 2017-08-08 16:02:18 UTC
bodhi-2.9.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5344219d81

Comment 2 Fedora Update System 2017-08-08 16:16:07 UTC
bodhi-2.9.0-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6c94d5aee2

Comment 3 Fedora Update System 2017-08-12 00:21:01 UTC
bodhi-2.9.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5344219d81

Comment 4 Fedora Update System 2017-08-13 04:03:01 UTC
bodhi-2.9.0-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6c94d5aee2

Comment 5 Fedora Update System 2017-08-14 21:51:43 UTC
bodhi-2.9.0-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-08-15 22:39:19 UTC
bodhi-2.9.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5344219d81

Comment 7 Fedora Update System 2017-08-18 20:21:42 UTC
bodhi-2.9.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5344219d81

Comment 8 Fedora Update System 2017-09-02 20:48:50 UTC
bodhi-2.9.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.